<?php
namespace ProVM\Tests\Extension;

trait testMethodsTrait
{
    use ObjectHasMethodTrait;

    public function testMethods(): void
    {
        $object = $this->model;

        foreach ($this->methods as $method) {
            $this->assertObjectHasMethod($method, $object);
        }
    }

    protected array $methods = [];
}